diff --git a/web/pgadmin/dashboard/templates/dashboard/sql/10_plus/activity.sql b/web/pgadmin/dashboard/templates/dashboard/sql/10_plus/activity.sql
new file mode 100644
index 0000000..9b067a8
--- /dev/null
+++ b/web/pgadmin/dashboard/templates/dashboard/sql/10_plus/activity.sql
@@ -0,0 +1,19 @@
+SELECT
+    pid,
+    datname,
+    usename,
+    application_name,
+    client_addr,
+    to_char(backend_start, 'YYYY-MM-DD HH24:MI:SS TZ') AS backend_start,
+    state,
+    wait_event_type || ': ' || wait_event AS wait_event,
+    pg_blocking_pids(pid) AS blocking_pids,
+    query,
+    to_char(state_change, 'YYYY-MM-DD HH24:MI:SS TZ') AS state_change,
+    to_char(query_start, 'YYYY-MM-DD HH24:MI:SS TZ') AS query_start,
+    backend_type
+FROM
+    pg_stat_activity
+{% if did %}WHERE
+    datname = (SELECT datname FROM pg_database WHERE oid = {{ did }}){% endif %}
+ORDER BY pid
diff --git a/web/pgadmin/dashboard/templates/dashboard/sql/9.6_plus/activity.sql b/web/pgadmin/dashboard/templates/dashboard/sql/9.6_plus/activity.sql
index 9b067a8..f1f4061 100644
--- a/web/pgadmin/dashboard/templates/dashboard/sql/9.6_plus/activity.sql
+++ b/web/pgadmin/dashboard/templates/dashboard/sql/9.6_plus/activity.sql
@@ -10,8 +10,7 @@ SELECT
     pg_blocking_pids(pid) AS blocking_pids,
     query,
     to_char(state_change, 'YYYY-MM-DD HH24:MI:SS TZ') AS state_change,
-    to_char(query_start, 'YYYY-MM-DD HH24:MI:SS TZ') AS query_start,
-    backend_type
+    to_char(query_start, 'YYYY-MM-DD HH24:MI:SS TZ') AS query_start
 FROM
     pg_stat_activity
 {% if did %}WHERE
